interfaces Library: KTextEditor Namespace Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor Namespace Reference

KTextEditor is KDE's standard text editing KPart interface. More...

## Classes
class | BlockSelectionDCOPInterface
| This is the main interface to the BlockSelectionInterface of KTextEditor. DCOP interface to BlockSelectionInterface. More...
class | BlockSelectionInterface
| An interface for the Document class which allows the selection method to be changed between selecting rectangular blocks of text and normal mode (all text between the start cursor and the current cursor). More...
class | ClipboardDCOPInterface
| This is the main interface to the ClipboardInterface of KTextEdit. DCOP interface to ClipboardInterface. More...
class | ClipboardInterface
| This is an interface for accessing the clipboard through the View class. More...
class | CompletionEntry
| An item for the completion popup. More...
class | CodeCompletionInterface
| This is an interface for the KTextEditor::View class. More...
class | ConfigInterface
| This is an interface for accessing the configuration of the Document and Plugin classes. More...
class | ConfigInterfaceExtension
| This is an interface to extend the configuration of the Document, Plugin and PluginViewInterface classes. More...
class | Cursor
| This class represents a text cursor. More...
class | CursorInterface
| This is an interface for accessing the cursor of the Document class. More...
class | Document
| The main class representing a text document. More...
class | DocumentInfoDCOPInterface
| This is the main interface to the DocumentInfoInterface of KTextEdit. DCOP interface to DocumentInfoInterface. More...
class | DocumentInfoInterface
| This is an interface for accessing information about files open in the Document, Plugin and PluginViewInterface classes. More...
class | DynWordWrapInterface
| This is an interface for accessing dynamic word wrapping functionality of the View class. More...
class | EditDCOPInterface
| This is the main interface to the EditInterface of KTextEdit. DCOP interface to EditInterface. More...
class | EditInterface
| This is the main interface for accessing and modifying text of the Document class. More...
class | EditInterfaceExt
| This is the main interface for accessing and modifying text of the Document class. More...
class | Editor
| This is a simplfied version of the Document & View classes Usage: Load it, merge it's gui + be happy Extensibility: Use the Document / View classes if you want advanced features, interfaces, etc. More...
class | EncodingDCOPInterface
| This is the main interface to the EncodingInterface of KTextEdit. DCOP interface to EncodingInterface. More...
class | EncodingInterface
| This is an interface to the text encoding of a Document class. More...
class | HighlightingInterface
| This is an interface for syntax highlighting of a Document. More...
class | MarkInterface
| This is an interface to enable marks to be made in the iconborder of the Document class. More...
class | MarkInterfaceExtension
| This is an interface for custom extensions of the MarkInterface. More...
class | Plugin
| Basic KTextEditor plugin class. More...
class | PluginViewInterface
| View plugin class. More...
class | PopupMenuInterface
| This is an interface to provide custom popup menus for a View. More...
class | PrintDCOPInterface
| This is the main interface to the PrintInterface of KTextEdit. DCOP interface to PrintInterface. More...
class | PrintInterface
| This is an interface to printing functions of a Document. More...
class | SearchDCOPInterface
| This is the main interface to the SearchInterface of KTextEdit. DCOP interface to SearchInterface. More...
class | SearchInterface
| This is an interface to allow searching of a Document. More...
class | SelectionDCOPInterface
| This is the main interface to the SelectionInterface of KTextEdit. DCOP interface to SelectionInterface. More...
class | SelectionExtDCOPInterface
| DCOP interface for the SelectionInterfaceExt. More...
class | SelectionInterface
| This is an interface to text selection for the Document class. More...
class | SelectionInterfaceExt
| Provide access to seleciton positions. More...
class | SessionConfigInterface
| This is an interface to session-specific configuration of the Document, Plugin and PluginViewInterface classes. More...
class | TemplateInterface
| This is an interface for inserting template strings with user editable fields into a document. More...
class | TextHintInterface
| This is an interface for the KTextEditor::View class. More...
class | UndoDCOPInterface
| This is the main interface to the UndoInterface of KTextEdit. DCOP interface to UndoInterface. More...
class | UndoInterface
| This is an interface to undo functionality of a Document. More...
class | VariableInterface
| This interface is designed to provide access to "document variables", for example variables defined in files like "kate: variable value;" or the emacs style "-*- variable: value -*-". KTextEditor interface to Document Variables. More...
class | View
| The View class represents a single view of a Document . More...
class | ViewCursorDCOPInterface
| This is the main interface to the ViewCursorInterface of KTextEdit. DCOP interface to ViewCursorInterface. More...
class | ViewCursorInterface
| This is an interface to access the text cursor of a View class. More...
class | ViewStatusMsgDCOPInterface
| This is the main interface to the ViewStatusMsgInterface of KTextEdit. DCOP interface to ViewStatusMsgInterface. More...
class | ViewStatusMsgInterface
| This is an interface for retrieving status bar messages from the Document class. More...
class | WordWrapInterface
| This is an interface to control fixed-column word-wrapping of a Document. More...
## Functions
KTEXTEDITOR_EXPORT BlockSelectionInterface * | blockSelectionInterface (class Document *doc)
KTEXTEDITOR_EXPORT ClipboardInterface * | clipboardInterface (class View *view)
KTEXTEDITOR_EXPORT CodeCompletionInterface * | codeCompletionInterface (class View *view)
class KTEXTEDITOR_EXPORT ConfigInterface * | configInterface (Document *doc)
KTEXTEDITOR_EXPORT ConfigInterface * | configInterface (Plugin *plugin)
class class KTEXTEDITOR_EXPORT ConfigInterfaceExtension * | configInterfaceExtension (Document *doc)
KTEXTEDITOR_EXPORT ConfigInterfaceExtension * | configInterfaceExtension (Plugin *plugin)
KTEXTEDITOR_EXPORT CursorInterface * | cursorInterface (class Document *doc)
KTEXTEDITOR_EXPORT Document * | createDocument (const char *libname, QObject *parent=0, const char *name=0)
KTEXTEDITOR_EXPORT DynWordWrapInterface * | dynWordWrapInterface (class View *view)
KTEXTEDITOR_EXPORT EditInterface * | editInterface (class Document *doc)
KTEXTEDITOR_EXPORT EditInterfaceExt * | editInterfaceExt (class Document *doc)
KTEXTEDITOR_EXPORT Editor * | createEditor (const char *libname, QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0)
KTEXTEDITOR_EXPORT EncodingInterface * | encodingInterface (class Document *doc)
KTEXTEDITOR_EXPORT HighlightingInterface * | highlightingInterface (class Document *doc)
KTEXTEDITOR_EXPORT MarkInterface * | markInterface (class Document *doc)
KTEXTEDITOR_EXPORT MarkInterfaceExtension * | markInterfaceExtension (class Document *doc)
KTEXTEDITOR_EXPORT Plugin * | createPlugin (const char *libname, Document *document=0, const char *name=0)
KTEXTEDITOR_EXPORT PluginViewInterface * | pluginViewInterface (Plugin *plugin)
KTEXTEDITOR_EXPORT PopupMenuInterface * | popupMenuInterface (class View *view)
KTEXTEDITOR_EXPORT PrintInterface * | printInterface (class Document *doc)
KTEXTEDITOR_EXPORT SearchInterface * | searchInterface (class Document *doc)
class KTEXTEDITOR_EXPORT SelectionInterface * | selectionInterface (Document *doc)
KTEXTEDITOR_EXPORT SelectionInterface * | selectionInterface (View *view)
class KTEXTEDITOR_EXPORT SelectionInterfaceExt * | selectionInterfaceExt (Document *doc)
KTEXTEDITOR_EXPORT SelectionInterfaceExt * | selectionInterfaceExt (View *view)
KTEXTEDITOR_EXPORT SessionConfigInterface * | sessionConfigInterface (class Document *doc)
KTEXTEDITOR_EXPORT SessionConfigInterface * | sessionConfigInterface (class View *view)
KTEXTEDITOR_EXPORT SessionConfigInterface * | sessionConfigInterface (class Plugin *plugin)
KTEXTEDITOR_EXPORT TemplateInterface * | templateInterface (Document *doc)
TextHintInterface * | textHintInterface (View *view)
KTEXTEDITOR_EXPORT UndoInterface * | undoInterface (class Document *doc)
KTEXTEDITOR_EXPORT VariableInterface * | variableInterface (class Document *)
KTEXTEDITOR_EXPORT ViewCursorInterface * | viewCursorInterface (class View *view)
KTEXTEDITOR_EXPORT ViewStatusMsgInterface * | viewStatusMsgInterface (class View *view)
KTEXTEDITOR_EXPORT WordWrapInterface * | wordWrapInterface (class Document *doc)

## Detailed Description

KTextEditor is KDE's standard text editing KPart interface.

## Function Documentation

BlockSelectionInterface * KTextEditor::blockSelectionInterface | ( | class Document * | doc | ) |

  | Access the block selection interface of document. Parameters:
  | doc |
Definition at line 68 of file blockselectioninterface.cpp.

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:12 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003